%define	name	xdtv
%define Name	XdTV
%define	version	2.4.0
%define release 3
%define summary TV application with plugin capabilities

%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%define distsuffix plf
%endif

# build with -with optimization
%define build_optimization 0
%{?_with_optimization: %{expand: %%define build_optimization 1}}

# build with -with alsa
%define build_alsa 1
%{?_with_alsa: %{expand: %%define build_alsa 1}}

%if %mdkversion >= 200700 
%define app_defaults_dir %{_datadir}/X11/app-defaults
%else
%define app_defaults_dir %{_sysconfdir}/X11/app-defaults
%endif

Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
Summary:	%{summary}
URL:		http://xawdecode.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Group:		Video
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  libjpeg-devel
BuildRequires:  libxpm-devel
BuildRequires:  libneXtaw-devel
BuildRequires:	liblirc-devel
BuildRequires:	libxosd-devel
BuildRequires:	libzvbi-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libtheora-devel
BuildRequires:	libpng-devel
BuildRequires:	desktop-file-utils
# for DVB support
BuildRequires:	SDL-devel curl-devel
%if %mdkversion > 200600
BuildRequires:	bdftopcf
BuildRequires:	xset
BuildRequires:	libxv-devel
BuildRequires:	libxxf86dga-devel
BuildRequires:	libxxf86vm-devel
BuildRequires:	libxext-devel
BuildRequires:	libxinerama-devel
%else
BuildRequires:	XFree86-devel 
BuildRequires:	XFree86
%endif
%if %build_plf
BuildRequires:	xvid-devel	
BuildRequires:	lame
BuildRequires:	liblame-devel
BuildRequires:	x264-devel
BuildRequires:	libfaac-devel
%endif
%if %build_alsa
BuildRequires:  libalsa-devel
BuildRequires:  alsa-utils
Requires:	alsa-utils
%endif
Requires:	tv-fonts
Provides:	xawdecode
Obsoletes:	xawdecode
		
%description
XdTV is a software to watch, record & stream TV.
It interacts with AleVT (Teletext) and Nxtvepg (NextView) & supports
the bttv, bktr & dvb APIs. It contains some deinterlacing filters &
record video files with various containers (AVI, MPEG, OGG, etc.) &
many codecs: FFMpeg >=0.4.6, XviD 0.9 & 1.x, DivX 4 & 5,
Ogg Vorbis + Theora >=1.0a5.
It has some plugin capabilities.

%if %build_plf
This package is in PLF as some of its dependencies are covered by patents.
%endif


%package devel
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Provides:	xawdecode-devel
Obsoletes:	xawdecode-devel

%description devel
This package contains the development files needed to compile
and link programs which use %{name}.

%prep
%setup -q

%build
%configure \
	--enable-xosd \
	--disable-makefonts \
	--with-appdefaultsdir=%{app_defaults_dir} \
%if !%build_optimization
	--disable-cpu-detection \
%endif
%if !%build_alsa
	--disable-alsa \
%endif
%if !%build_plf
	--disable-lame \
	--disable-faac \
	--disable-x264 \
	--disable-xvid
%endif

%make

%install
rm -fr %{buildroot}
%makeinstall_std

# clean-up
rm -f %{buildroot}%{_datadir}/%{name}/icons/*.png

# icons
install -D -m 644 %{name}-16.png %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-48.png %{buildroot}%{_liconsdir}/%{name}.png
# menu entry
install -d -m 755 %{buildroot}%{_menudir}
cat >%{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/%{name}" \
	needs="X11" \
	icon="%{name}.png" \
	section="Multimedia/Video" \
	title="%{Name}" \
	longtitle="%{summary}" \
	xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="TV" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir %{buildroot}%{_datadir}/applications gentoo/%{name}.desktop

%clean
rm -fr %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog FAQfr-xdtv README.* NEWS TODO
%doc lircrc.* lisez-moi xdtvrc.sample
%{app_defaults_dir}/%{Name}
%config(noreplace) %{_sysconfdir}/%{name}/xdtv_wizard-en*.conf
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files devel
%defattr(-,root,root)
%doc COPYING README.*
%{_includedir}/*


%changelog
* Mon Mar 12 2007 Olivier Blin <oblin@mandriva.com> 2.4.0-3mdv2007.1
+ Revision: 141744
- enable DVB support by buildrequiring curl and SDL devel (thanks to Pingus)

* Sun Mar 04 2007 Olivier Blin <oblin@mandriva.com> 2.4.0-2mdv2007.1
+ Revision: 132104
- explicitely define app-defaults dir (to have a reproducible build instead of depending on present directories)
- explicitely disable fonts build (and do not conflict with required tv-fonts as a result)

* Thu Mar 01 2007 Jérôme Soyer <saispo@mandriva.org> 2.4.0-1mdv2007.1
+ Revision: 130609
- New release 2.4.0
- New release 2.4.0

  + Anssi Hannula <anssi@mandriva.org>
    - Import xdtv



* Wed Aug 30 2006 Anssi Hannula <anssi@mandriva.org> 2.3.3-4mdv2007.0
- fix app-defaults location, not a config file

* Wed Aug 30 2006 Anssi Hannula <anssi@mandriva.org> 2.3.3-3mdv2007.0
- fix buildrequires

* Sat Aug  5 2006 Anssi Hannula <anssi@mandriva.org> 2.3.3-2mdv2007.0
- fix buildrequires

* Mon Jul 17 2006 Anssi Hannula <anssi@mandriva.org> 2.3.3-1mdv2007.0
- 2.3.3
- use neXtaw, configure appears to prefer it
- drop patch0, upstream
- fix buildrequires

* Tue Jul 11 2006 Olivier Blin <blino@mandriva.com> 2.2.0-2mdv2007.0
- initial Mandriva release, based on PLF package
- remove fonts using the new X11 path
- fix macro-in-changelog
- add XDG menu

* Mon Dec 26 2005 Anssi Hannula <anssi@zarb.org> 2.2.0-1plf
- name changed from xawdecode to xdtv
- 2.2.0
- drop buildrequires divx4linux
- enable alsa by default
- update URL
- %%mkrel
- gcc4/x86_64 patch0 from upstream
- update filelist

* Fri Oct 15 2004 Laurent Culioli <laurent@zarb.org> 1.9.3-1plf
- 1.9.3

* Sun Jun 20 2004 Laurent Culioli <laurent@zarb.org> 1.9.2-1plf
- 1.9.2

* Mon Apr 26 2004 Guillaume Bedot <littletux@zarb.org> 1.9.1-1plf
- update to 1.9.1
- reason for plf

* Sun Feb 08 2004 Pascal Terjan <CMoi@tuxfamily.org> 1.9.0-1plf
- 1.9.0

* Sun Oct 05 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.8.1-2plf
- fix changelog

* Sun Oct 05 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.8.1-1plf
- 1.8.1

* Sat Oct  4 2003 Olivier Blin <oliv.blin@laposte.net> 1.8.0-3plf
- rebuild for new xvid
- quiet setup
 
* Sat Sep 20 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.8.0-2plf
- rebuild with latest 1.8.0...

* Sun Sep 14 2003 Guillaume Rousse <guillomovitch@zarb.org> 1.8.0-1plf
- 1.8.0
- fixed buildrequires
- drop xawtv-common dependency, xawdecode_v4l-conf is enough
- enable xosd

* Mon Jul 21 2003 Michael Scherer <scherer.michael@free.fr> 1.7.0-3plf
- Buildrequires

* Thu Jul 17 2003 Guillaume Rousse <guillomovitch@zarb.org> 1.7.0-2plf
- %%{name}-devel requires %%{name}

* Tue Jul 15 2003 Guillaume Rousse <guillomovitch@zarb.org> 1.7.0-1plf
- 1.7.0
- rm -rf $RPM_BUILD_ROOT in %%install

* Fri May 09 2003 Laurent Culioli <laurent@pschit.net> 1.6.8-1plf
- 1.6.8
- add optimisation and alsa switch

* Sun Mar 09 2003 Guillaume Rousse <guillomovitch@zarb.org> 1.6.7-3plf
- re-disabled alsa, as it is either alsa or oss

* Sat Mar 01 2003 Guillaume Rousse <guillomovitch@zarb.org> 1.6.7-2plf
- fixed changelog
- spec cleanup
- removed empty doc files
- re-enabled alsa
- removed additional icons (merged upstream)
- added original xpm icons

* Sat Feb 15 2003 Laurent Culioli <laurent@pschit.net> 1.6.7-1plf
- 1.6.7

* Mon Nov 25 2002 Laurent Culioli <laurent@pschit.net> 1.6.6a-1plf
- bump to 1.6.6a 

* Thu Nov 14 2002 Laurent Culioli <laurent@pschit.net> 1.6.6-2plf
- really fix summary

* Thu Nov 14 2002 Laurent Culioli <laurent@pschit.net> 1.6.6-1plf
- drop patch0
- fix summary in menu ( thx Sir Pingus )
- make rpmlint more happy
- 1.6.6

* Sun Oct 20 2002 Laurent Culioli <laurent@pschit.net> 1.6.5-3plf
- add cumulative patch ( nxtvepg support , Xv segfault ... )
- add lirc support

* Thu Aug  1 2002 Laurent Culioli <laurent@pschit.net> 1.6.5-2plf
- disable alsa

* Thu Aug  1 2002 Laurent Culioli <laurent@pschit.net> 1.6.5-1plf
- 1.6.5
- drop patch0
- update buildrequires

* Tue Jul 23 2002 Laurent Culioli <laurent@pschit.net> 1.6.4-1plf
- 1.6.4
- add ffmpeg require
- add tv-fonts require 
- patch makefile

* Mon Jun 24 2002 Laurent Culioli <laurent@pschit.net> 1.6.1-6plf
- rebuild with libdibx4linux0

* Fri Apr 25 2002 Stefan van der Eijk <stefan@eijk.nu> 1.6.1-5plf
- BuildRequires

* Thu Apr 18 2002 Corsikas <corsikas@pschit.net> 1.6.1-4plf
- really drop v4l-conf ( boulet mode off )

* Thu Apr 18 2002 Corsikas <corsikas@pschit.net> 1.6.1-3plf
- drop v4l-conf
- add require to xawtv-common ( xawdecode needs v4l-conf for some information about
  xfree extension )

* Tue Apr 16 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 1.6.1-2plf 
- no more xawtv conflict
- man dir no more owned by package
- include subdir owned by package
- spec cleanup
- used png icons
- fixed devel package description
- better summary

* Thu Mar 28 2002 Corsikas <corsikas@pschit.net> 1.6.1-1plf
- first plf package
